package pps.core.prediction.service;

import pps.cloud.prediction.service.IThirdDataAccessCloudService;
import pps.core.prediction.constant.ThirdPartyApiConstant;
import pps.core.prediction.utils.ServiceUtil;
import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;

import java.util.HashMap;

/**
 * 第三方数据接入Cloud模块
 *
 * @author ZWT
 * @date 2024/03/19 10:31
 */
@XText("第三方数据接入Cloud模块")
@XService
public class ThirdDataAccessCloudServiceImpl implements IThirdDataAccessCloudService {


    /**
     * 第三方有功功率定时任务
     *
     * @param context 上下文
     * @return {@link XServiceResult}
     */
    @Override
    public XServiceResult thirdActivePowerJob(XContext context) {
        String resultStr = ServiceUtil.doPostFormCq(context,
                ThirdPartyApiConstant.CQ_WELL_STATION_PV_DATA,
                new HashMap<>(0));


        return null;
    }

    /**
     * 第三方当日油井状态定时任务
     *
     * @param context 上下文
     * @return {@link XServiceResult}
     */
    @Override
    public XServiceResult thirdCurrentWellConditionJob(XContext context) {
        String resultStr = ServiceUtil.doPostFormCq(context,
                ThirdPartyApiConstant.CQ_WELL_REAL_PV_DATA,
                new HashMap<>(0));

        return null;
    }

    /**
     * 第三方光伏日发电量定时任务
     *
     * @param context 上下文
     * @return {@link XServiceResult}
     */
    @Override
    public XServiceResult thirdPhotovoltaicPowerJob(XContext context) {
        String resultStr = ServiceUtil.doPostFormCq(context,
                ThirdPartyApiConstant.CQ_STATION_DAILY_PV_DATA,
                new HashMap<>(0));

        return null;
    }
}
